Bug 204405 - sysutils/pftop: Add support for FairQ/Codel
Summary: sysutils/pftop: Add support for FairQ/Codel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Marcelo Araujo
URL:
Keywords: feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-11-09 18:58 UTC by Renato Botelho
Modified: 2015-11-16 02:25 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (araujo)


Attachments
Add fairq codel (5.33 KB, patch)
2015-11-10 08:54 UTC, Renato Botelho
garga: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2015-11-09 18:58:19 UTC
Add support for ALTQ FairQ and Codel protocols

Obtained-from: pfSense
Sponsored-by: Rubicon Communications (Netgate)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-10 07:58:26 UTC
@Renato, patch is missing :)
Comment 2 Marcelo Araujo freebsd_committer 2015-11-10 08:01:06 UTC
(In reply to Renato Botelho from comment #0)

You can attach or send the patch to my email!
Comment 3 Renato Botelho freebsd_committer 2015-11-10 08:54:43 UTC
Created attachment 162957 [details]
Add fairq codel

Here it is, sorry :)
Comment 4 Marcelo Araujo freebsd_committer 2015-11-11 12:04:11 UTC
(In reply to Renato Botelho from comment #3)

Thanks will check it very soon.
Comment 5 commit-hook freebsd_committer 2015-11-16 02:25:03 UTC
A commit references this bug:

Author: araujo
Date: Mon Nov 16 02:24:58 UTC 2015
New revision: 401746
URL: https://svnweb.freebsd.org/changeset/ports/401746

Log:
  - Add support for ALTQ FairQ and Codel protocols.
  - Bump PORTREVISION to 5.

  PR:		ports/204405
  Submitted by:	Renato Botelho <garga@FreeBSD.org>
  Obtained from:	pfSense
  Sponsored by:	Rubicon Communications (Netgate)

Changes:
  head/sysutils/pftop/Makefile
  head/sysutils/pftop/files/extra-patch-fairq_codel.diff
Comment 6 Marcelo Araujo freebsd_committer 2015-11-16 02:25:36 UTC
Committed revision 401746.